# render_template : 홈페이지 렌더링
from flask import Flask, render_template, request

app = Flask(__name__)


# template을 사용하려면 template 폴더를 만들어야함!
@app.route('/')
def hello_world():
    return render_template('index.html')


# get : 읽거나 검색할 때
@app.route('/two_input', methods=['GET'])
def two_input():
    return render_template('two_input.html')


# post : 새로운 변수 생성 시
@app.route('/two_result', methods=['POST'])
def two_result():
    value1 = request.form.get('value1') # class 'str'
    value2 = request.form.get('value2') # class 'str'
    result = int(value1) + int(value2)

    return render_template('two_result.html', value1=value1, value2=value2, sum=result)


app.run()

